CVE-2021-32027

A flaw was found in postgresql in versions before 13.3, before 12.7, before 11.12, before 10.17 and before 9.6.22. While modifying certain SQL array values, missing bounds checks let authenticated database users write arbitrary bytes to a wide area of server memory. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:postgresql:postgresql:*:*:*:*:*:*:*:*
cpe:2.3:a:postgresql:postgresql:*:*:*:*:*:*:*:*
cpe:2.3:a:postgresql:postgresql:*:*:*:*:*:*:*:*
cpe:2.3:a:postgresql:postgresql:*:*:*:*:*:*:*:*
cpe:2.3:a:postgresql:postgresql:*:*:*:*:*:*:*:*

Configuration 2 (hide)

OR cpe:2.3:o:redhat:enterprise_linux:7.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:jboss_enterprise_application_platform:7.0.0:*:*:*:*:*:*:*
cpe:2.3:o:redhat:enterprise_linux:8.0:*:*:*:*:*:*:*
cpe:2.3:a:redhat:software_collections:-:*:*:*:*:*:*:*

History

31 Jan 2023, 17:28

Type Values Removed Values Added
References (GENTOO) https://security.gentoo.org/glsa/202211-04 - (GENTOO) https://security.gentoo.org/glsa/202211-04 - Third Party Advisory

22 Nov 2022, 06:15

Type Values Removed Values Added
References
  • (GENTOO) https://security.gentoo.org/glsa/202211-04 -

14 Sep 2021, 17:38

Type Values Removed Values Added
References
  • (CONFIRM) https://security.netapp.com/advisory/ntap-20210713-0004/ - Third Party Advisory

10 Jun 2021, 13:54

Type Values Removed Values Added
References (MISC) https://bugzilla.redhat.com/show_bug.cgi?id=1956876 - (MISC) https://bugzilla.redhat.com/show_bug.cgi?id=1956876 - Issue Tracking, Patch, Third Party Advisory
References (MISC) https://www.postgresql.org/support/security/CVE-2021-32027/ - (MISC) https://www.postgresql.org/support/security/CVE-2021-32027/ - Vendor Advisory
CVSS v2 : unknown
v3 : unknown
v2 : 6.5
v3 : 8.8
CPE cpe:2.3:a:redhat:software_collections:-:*:*:*:*:*:*:*
cpe:2.3:a:postgresql:postgresql:*:*:*:*:*:*:*:*
cpe:2.3:a:redhat:jboss_enterprise_application_platform:7.0.0:*:*:*:*:*:*:*
cpe:2.3:o:redhat:enterprise_linux:8.0:*:*:*:*:*:*:*
cpe:2.3:o:redhat:enterprise_linux:7.0:*:*:*:*:*:*:*
CWE CWE-119
CWE-190

01 Jun 2021, 14:15

Type Values Removed Values Added
New CVE

Information

Published : 2021-06-01 14:15

Updated : 2023-01-31 17:28


NVD link : CVE-2021-32027

Mitre link : CVE-2021-32027


JSON object : View

Products Affected

redhat

  • software_collections
  • enterprise_linux
  • jboss_enterprise_application_platform

postgresql

  • postgresql
CWE
CWE-119

Improper Restriction of Operations within the Bounds of a Memory Buffer

CWE-190

Integer Overflow or Wraparound